# Class LambdaMetafactory

java.lang.Object
java.lang.invoke.LambdaMetafactory

public class LambdaMetafactory extends Object

##### Deprecated

these classes are used internally for Lambda compatibility

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `FLAG_BRIDGES`
  `static final int`
  `FLAG_MARKERS`
  `static final int`
  `FLAG_SERIALIZABLE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LambdaMetafactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static java.lang.invoke.CallSite`
  `altMetafactory(java.lang.invoke.MethodHandles.Lookup a, java.lang.String b, MethodType c, Object... d)`
  `static java.lang.invoke.CallSite`
  `metafactory(java.lang.invoke.MethodHandles.Lookup a, java.lang.String f, MethodType b, MethodType c, java.lang.invoke.MethodHandle d, MethodType e)`

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FLAG_SERIALIZABLE

    public static final int FLAG_SERIALIZABLE
    See Also:
      - Constant Field Values

  - ### FLAG_MARKERS

    public static final int FLAG_MARKERS
    See Also:
      - Constant Field Values

  - ### FLAG_BRIDGES

    public static final int FLAG_BRIDGES
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### LambdaMetafactory

    public LambdaMetafactory()

- ## Method Details

  - ### metafactory

    public static java.lang.invoke.CallSite metafactory(java.lang.invoke.MethodHandles.Lookup a, java.lang.String f, MethodType b, MethodType c, java.lang.invoke.MethodHandle d, MethodType e) throws java.lang.invoke.LambdaConversionException
    Throws:
      `java.lang.invoke.LambdaConversionException`

  - ### altMetafactory

    public static java.lang.invoke.CallSite altMetafactory(java.lang.invoke.MethodHandles.Lookup a, java.lang.String b, MethodType c, Object... d) throws java.lang.invoke.LambdaConversionException
    Throws:
      `java.lang.invoke.LambdaConversionException`